Update specific data source value
curl --request PUT \
--url https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values/{value} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values/{value}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values/{value}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Data Sources
Update specific data source value
Update the specified mapping data source value.
PUT
/
v3
/
mapping_data_sources
/
{identifier}
/
values
/
{value}
Update specific data source value
curl --request PUT \
--url https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values/{value} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values/{value}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{region}.affinda.com/v3/mapping_data_sources/{identifier}/values/{value}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
Data source's identifier Uniquely identify a mapping data source.
Example:
"mEFayXdO"
Data Source's value
Body
application/json
The body is of type object.
Response
Successfully updated mapping data source value.
The response is of type object.
Was this page helpful?
⌘I